/***********************************************************************

     IBM Confidential

     OCO Source Materials

     (C) Copyright IBM Corporation 1995-96

     The source code for this program is not published or
     otherwise divested of its trade secrets, irrespective of
     what has been deposited with the U.S. Copyright Office.

***********************************************************************/

#ifndef _PROXY_BASIC_INCLUDES_H_
#define _PROXY_BASIC_INCLUDES_H_



#if defined(AIX)
#include "AIX_Includes.h"
#endif

#if defined(OS2)
#include "OS2_Includes.h"
#endif

#if defined(__linux__)
#include "Linux_Includes.h"
#endif

#if defined(powerc) || defined(__powerc) || defined(MAC_OS)
#include "Mac_Includes.h"
#endif

#if defined(WIN32)
#include "Win_Includes.h"
#define soclose(a) closesocket(a)
#endif

#include <time.h>
#include <ctype.h>

char* _strdup(char*); /* ProxyUtils.cpp */

#ifdef SSL_SUPPORT
#define TEST_CERT	    "liaison.pem"
#define HEADER_DES_LOCL_H

#include "apps.h"
#include "err.h"
#include "pem.h"
#include "x509.h"
#include "ssl.h"

#ifdef  __cplusplus
extern "C" {
#endif
int MS_CALLBACK verify_callback(int ok, X509 *xs, X509 *xi, int depth, int error, char *arg);
int set_cert_stuff(SSL_CTX *ctx, char *cert_file, char *key_file);       
#ifdef  __cplusplus
};
#endif
#endif

#include "ProxyPrefsHtml.h"


#endif /* _PROXY_BASIC_INCLUDES_H_ */
