/***********************************************************************

     IBM Corporation

     OCO Source Materials

     (C) Copyright IBM Corporation 1995-96

***********************************************************************/

import java.lang.*;
import java.util.*;
import java.applet.Applet;


public class TestEvr extends Applet {

  public static void main(String args[]) {
    CMIPObj cmip;

    System.out.println("Ready...");
		
    try {
      int i;
      cmip = new CMIPObj("MIBCTL");
      cmip.UseProxy("mut.zurich.ibm.com", 1998);
      cmip.CreateEFD(null, null);
      System.out.println("EFD created successfully\nSleeping...");
      Thread.sleep(5000);

      for(i=cmip.NotificationsAvailable(); i>0; i--)
	{
	  Information info = cmip.WaitForNotifications(-1);
	  if(info != null)
	    System.out.println(info);
	}

      cmip.DeleteEFD();
      System.out.println("EFD deleted successfully");

    } catch(Exception e) { 
      e.printStackTrace(); 
      return; 
    }			  
  }	

}
