/***********************************************************************

     IBM Corporation

     OCO Source Materials

     (C) Copyright IBM Corporation 1995-96

***********************************************************************/

import java.lang.*;
import java.util.*;
import java.applet.Applet;


public class TestSNMPTraps extends Applet {

  public static void main(String args[]) {
    SNMPObj snmp;
	Information info;
	
    System.out.println("Ready...");
		
    try {
      snmp = new SNMPObj("aug.zurich.ibm.com", 160);
      snmp.UseProxy("kae.zurich.ibm.com", 1998); /* Host where the Proxy runs */

      snmp.CreateTrapListener(4096);
      System.out.println("TrapListener created successfully");
	  	
	
      System.out.println("Waiting for traps...");	  
      for(int i=0;i<3; i++)
	{
	  info = snmp.WaitForTraps(-1 /* Infinite*/);
	  if(info != null)
	    System.out.println(info);
	}
      

      snmp.DeleteTrapListener();

    } catch(Exception e) { 
      e.printStackTrace(); 
      return; 
    }			  
  }	

}
