import java.lang.*;
import java.util.*;

public class Semaphore {
  private boolean locked;

  Semaphore() {
    locked = false;
  }


  public synchronized void lock() 
    {
      //System.out.println("[1] Lock Semaphore");
      try {
	if(locked)
	  wait();
	else
	  locked = true;
      } catch(Exception e)
	{
	  System.out.println("lock(): "+e);
	}
 
      //System.out.println("[2] Lock Semaphore");
    }
  

  public synchronized void unlock()
    {
      // System.out.println("[1] Unlock Semaphore");
      if(locked)
	{
	notifyAll();
	locked = false;
      }
      // System.out.println("[2] Unlock Semaphore");
    }


  public synchronized void WaitUntilItUnlocks() {
    if(locked)
      {
	lock();
	unlock();
      }
  }
    
}
