
import java.io.*;   
import java.awt.*;
import java.lang.*;
import java.util.*;
import java.applet.*;

public class VertGraphDemo extends Applet
{
   private VertGraph vertGraph;
   private Thread t;
   private String moc = "sdhNE";
   private String moi = "genericNetworkId=TelcoNet@systemId=(name TelcoSys)@managedElementId=(pString sdhNE1)";
   //private String moi = "genericNetworkId=TelcoNet@systemId=(name TelcoSys)";
   private Choice refreshRate, attribute;

   public static void main(String args[]) 
   {
      Frame frame = new Frame("VertGraphDemo");
      VertGraphDemo VertGraphDemo = new VertGraphDemo();
      VertGraphDemo.init();
      VertGraphDemo.start();

      frame.add("Center", VertGraphDemo);
      frame.setSize(150, 200);
      frame.show();
   }

   public void init() 
   {
      setLayout(new BorderLayout());
      
      Panel northPanel = new Panel();
	  TextField t1, t2;

	  northPanel.setLayout(new BorderLayout());
	  Panel col_1 = new Panel();
	  col_1.setLayout(new GridLayout(3, 1));
	  col_1.add(new Label("Object Class:", Label.LEFT)); 
	  col_1.add(new Label("Object Instance:", Label.LEFT));
	  col_1.add(new Label("Attribute:", Label.LEFT)); 

	  Panel col_2 = new Panel();
	  col_2.setLayout(new GridLayout(3, 1));
	  col_2.add(t1 = new TextField(moc, 10));
	  col_2.add(t2 = new TextField(moi, 50));
	  attribute = new Choice();
  	  attribute.addItem("administrativeState");
  	  attribute.addItem("systemTitle");
  	  attribute.addItem("operationalState");
  	  attribute.addItem("usageState");
  	  attribute.addItem("alarmStatus");
	  col_2.add(attribute);
	  t1.setEditable(false);
	  t2.setEditable(false);
	  northPanel.add("West", col_1);
	  northPanel.add("Center",col_2);
	  
	  add("North", northPanel);

      vertGraph = new VertGraph();
      add("Center", vertGraph);
      
	  Panel buttons = new Panel();
	  buttons.setLayout(new FlowLayout(/* FlowLayout.LEFT */));
	  refreshRate = new Choice();
	  refreshRate.addItem("10");
	  refreshRate.addItem("30");
	  refreshRate.addItem("60");
	  buttons.add(new Label("Update Rate: ", Label.LEFT));
	  buttons.add(refreshRate);
	  buttons.add(new Label("seconds", Label.LEFT));
	  //buttons.add(new Button("Toggle Attribute Value"));
	  
  	  add("South", buttons);

	VertUpdater r=new VertUpdater();
	r.SetElement(vertGraph, moi, refreshRate, attribute);
	t = new Thread(r);
	t.start();
   }

   public boolean action(Event evt, Object arg) {
     if ("Toggle Attribute Value".equals(arg))
       {
	 vertGraph.addPoint("Hello");
	 return true;
       }
     else
       return(false);
   }
   
   public void stop() { t.stop(); }
   
   public String getAppletInfo() { return("Luca Deri (lde@zurich.ibm.com), 1996-97"); }
}
