/***********************************************************************

     IBM Corporation

     OCO Source Materials

     (C) Copyright IBM Corporation 1995-96

***********************************************************************/

import java.lang.*;
import java.util.*;
import java.applet.Applet;


public class TestCMIP extends Applet {

    public static void main(String args[]) {
      CMIPObj cmip;
      
      System.out.println("Ready...");
      
      try {
	cmip = new CMIPObj("2001");
	cmip.UseProxy("kae.zurich.ibm.com", 1998); /* Host where the Proxy runs */
	
	cmip.SetObjectInstance("netId=TelcoNet@systemId=(name atmNLOS_UK)"); 
	
	
	cmip.SetAttribute("systemTitle","(nothing NULL)");
	cmip.CMIPSetAttributes();
	System.out.println(cmip);
	
	cmip.RemoveAllAttributes();
	cmip.SetObjectInstance("netId=TelcoNet@systemId=(name atmNLOS_UK)"); 
	cmip.CMIPGetAttributes();
	System.out.println(cmip);
	
	/*
	  cmip.SetAttribute("scope","(basicScope 2)"); // Whole
	  Vector v = cmip.CMIPDeleteContainedInstances();
	  System.out.println(v);
	  */
	
	cmip.RemoveAllAttributes();
	cmip.SetObjectInstance("genericNetworkId=TelcoNet@customerID=(name IBM)@networkId=(pString North_America)");
	cmip.CMIPDeleteObject();
	System.out.println(cmip);
	
	cmip.RemoveAllAttributes();
	cmip.SetObjectClass("opNetwork");
	cmip.SetObjectInstance("genericNetworkId=TelcoNet@customerID=(name IBM)@networkId=(pString North_America)");
	cmip.SetAttribute("networkTitle","(nothing NULL)");
	cmip.CMIPCreateObject();
	System.out.println(cmip);
	
	/*
	  for(int i=0;i<3; i++)
	  {
	  //cmip.CMIPGetAttributes();
	  //System.out.println("["+i+"]"+cmip);
	  //cmip.cmipGetAttribute();
	  //System.out.println("["+i+"]"+cmip);
	  cmip.CMIPSetAttributes();
	  System.out.println("["+i+"]"+cmip);

	  //Thread.sleep(1000);
	  }
	  */
		  

      } catch(Exception e) { 
	e.printStackTrace(); 
	return; 
      }			  
    }	

}
